package com.ashokit.advjpa.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ashokit.advjpa.dao.PersonDao;
import com.ashokit.advjpa.model.Person;

@Service
public class PersonService {
	
	
	@Autowired
	private PersonDao personDao;
	
	
	//SaveAll Implementation
	
	public Iterable<Person> saveAllPersons(Iterable<Person> personsList){
		return personDao.saveAll(personsList);
		
		/*
		 * saveAll ==> Iterate Through each and every object and insert every record
		 */
	}
	
	
	
	
	//FindAllById Implementation

	public Iterable<Person> getPersonsData(List<Integer> personIds){
		return personDao.findAllById(personIds);
	}
}
